| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Public Types | Public Member Functions | Public Attributes | List of all members
Ogre::Particle Class Reference
Core » Effects

Class representing a single particle instance. More...

`#include <OgreParticle.h>`

Inheritance diagram for Ogre::Particle:
[legend]

## Public Types
enum | ParticleType { Visual, Emitter }
| Type of particle. More...

## Public Member Functions
| Particle ()
void | _notifyOwner (ParticleSystem *owner)
| Internal method for notifying the particle of it's owner. More...
void | _notifyVisualData (ParticleVisualData *vis)
| Internal method for notifying the particle of it's optional visual data. More...
Real | getOwnHeight (void) const
| Retrieves the particle's personal width, if hasOwnDimensions is true. More...
Real | getOwnWidth (void) const
| Retrieves the particle's personal width, if hasOwnDimensions is true. More...
const Radian & | getRotation (void) const
ParticleVisualData * | getVisualData (void) const
| Get the optional visual data associated with the class. More...
bool | hasOwnDimensions (void) const
| Returns true if this particle deviates from the ParticleSystem's default dimensions (i.e. More...
void | resetDimensions (void)
| Utility method to reset this particle. More...
void | setDimensions (Real width, Real height)
| Sets the width and height for this particle. More...
void | setRotation (const Radian &rad)
| Sets the current rotation. More...

## Public Attributes
ColourValue | mColour
| Current colour. More...
Vector3 | mDirection
| Direction (and speed) More...
Real | mHeight
| Personal height if mOwnDimensions == true. More...
bool | mOwnDimensions
| Does this particle have it's own dimensions? More...
ParticleType | mParticleType
| Determines the type of particle. More...
Vector3 | mPosition
| World position. More...
Radian | mRotation
| Current rotation value. More...
Radian | mRotationSpeed
| Speed of rotation in radians/sec. More...
Real | mTimeToLive
| Time to live, number of seconds left of particles natural life. More...
Real | mTotalTimeToLive
| Total Time to live, number of seconds of particles natural life. More...
Real | mWidth
| Personal width if mOwnDimensions == true. More...

## Detailed Description

Class representing a single particle instance.

## Member Enumeration Documentation

## ◆ ParticleType

enum Ogre::Particle::ParticleType

Type of particle.

Enumerator
Visual |
Emitter |

## Constructor & Destructor Documentation

## ◆ Particle()

Ogre::Particle::Particle | ( |  | ) |
| inline

## Member Function Documentation

## ◆ setDimensions()

void Ogre::Particle::setDimensions | ( | Real | width,
|  | Real | height
| ) |  |

Sets the width and height for this particle.

Remarks
  Note that it is most efficient for every particle in a ParticleSystem to have the same dimensions. If you choose to alter the dimensions of an individual particle the set will be less efficient. Do not call this method unless you really need to have different particle dimensions within the same set. Otherwise just call the ParticleSystem::setDefaultDimensions method instead.

## ◆ hasOwnDimensions()

bool Ogre::Particle::hasOwnDimensions | ( | void |  | ) | const
| inline

Returns true if this particle deviates from the ParticleSystem's default dimensions (i.e.

if the particle::setDimensions method has been called for this instance).

See also
  particle::setDimensions

## ◆ getOwnWidth()

Real Ogre::Particle::getOwnWidth | ( | void |  | ) | const
| inline

Retrieves the particle's personal width, if hasOwnDimensions is true.

## ◆ getOwnHeight()

Real Ogre::Particle::getOwnHeight | ( | void |  | ) | const
| inline

Retrieves the particle's personal width, if hasOwnDimensions is true.

## ◆ setRotation()

void Ogre::Particle::setRotation | ( | const Radian & | rad | ) |

Sets the current rotation.

## ◆ getRotation()

const Radian& Ogre::Particle::getRotation | ( | void |  | ) | const
| inline

## ◆ _notifyOwner()

void Ogre::Particle::_notifyOwner | ( | ParticleSystem * | owner | ) |

Internal method for notifying the particle of it's owner.

## ◆ _notifyVisualData()

void Ogre::Particle::_notifyVisualData | ( | ParticleVisualData * | vis | ) |
| inline

Internal method for notifying the particle of it's optional visual data.

## ◆ getVisualData()

ParticleVisualData* Ogre::Particle::getVisualData | ( | void |  | ) | const
| inline

Get the optional visual data associated with the class.

## ◆ resetDimensions()

void Ogre::Particle::resetDimensions | ( | void |  | ) |

Utility method to reset this particle.

Referenced by Ogre::ParticleEmitter::_initParticle().

## Member Data Documentation

## ◆ mOwnDimensions

bool Ogre::Particle::mOwnDimensions

Does this particle have it's own dimensions?

## ◆ mWidth

Real Ogre::Particle::mWidth

Personal width if mOwnDimensions == true.

## ◆ mHeight

Real Ogre::Particle::mHeight

Personal height if mOwnDimensions == true.

## ◆ mRotation

Radian Ogre::Particle::mRotation

Current rotation value.

## ◆ mPosition

Vector3 Ogre::Particle::mPosition

World position.

## ◆ mDirection

Vector3 Ogre::Particle::mDirection

Direction (and speed)

## ◆ mColour

ColourValue Ogre::Particle::mColour

Current colour.

## ◆ mTimeToLive

Real Ogre::Particle::mTimeToLive

Time to live, number of seconds left of particles natural life.

## ◆ mTotalTimeToLive

Real Ogre::Particle::mTotalTimeToLive

Total Time to live, number of seconds of particles natural life.

## ◆ mRotationSpeed

Radian Ogre::Particle::mRotationSpeed

Speed of rotation in radians/sec.

## ◆ mParticleType

ParticleType Ogre::Particle::mParticleType

Determines the type of particle.

The documentation for this class was generated from the following file:

- OgreParticle.h